
var oMain			= null;
var inMozOptions	= false;

function initOptions(){
	try{
	
		//Prefs
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
		
		//Get Opener
		if(opener.switchproxy_menuShowing){
			oMain = opener;
		}
		else if(opener.parent.opener && opener.parent.opener.switchproxy_menuShowing){
			oMain			 = opener.parent.opener
			inMozOptions	= true;
		}
		
		//Prefill
		if(oPrefs.prefHasUserValue("switchproxy.clear.cookies"))
				document.getElementById("switchproxy.clear.cookies").checked = oPrefs.getBoolPref("switchproxy.clear.cookies");
		if(oPrefs.prefHasUserValue("switchproxy.reload.tab"))
				document.getElementById("switchproxy.reload.tab").checked = oPrefs.getBoolPref("switchproxy.reload.tab");
		if(oPrefs.prefHasUserValue("switchproxy.update.notify"))
				document.getElementById("switchproxy.update.notify").checked = oPrefs.getBoolPref("switchproxy.update.notify");
		if(oPrefs.prefHasUserValue("switchproxy.display.context"))
				document.getElementById("switchproxy.display.context").checked = oPrefs.getBoolPref("switchproxy.display.context");
		if(oPrefs.prefHasUserValue("switchproxy.display.statusbar"))
				document.getElementById("switchproxy.display.statusbar").checked = oPrefs.getBoolPref("switchproxy.display.statusbar");
					
		/*if(oPrefs.prefHasUserValue("switchproxy.tabs.manager"))
				document.getElementById("switchproxy.tabs.manager").checked = oPrefs.getBoolPref("switchproxy.tabs.manager");*/
		
		//Set menushowing options
		if(oMain != null){
			document.getElementById("switchproxy.display.toolbar").checked = oMain.switchproxy_menuShowing("toolbar");
		}
		else{
			document.getElementById("switchproxy.display.toolbar").style.display = "none";
		}
		
		// Thunderbird
		if(navigator.userAgent.search(/Thunderbird/gi) > -1){
			document.getElementById("switchproxy.display.context").style.display = "none";
			document.getElementById("switchproxy.display.toolbar").style.display = "none";
		}
			
	}catch(err){ alert(switchproxy_getString("error.unknown") +"\n"+ err); }
}

function saveOptions(){
	
	try{
		
		//Save
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
		
		oPrefs.setBoolPref("switchproxy.clear.cookies", document.getElementById("switchproxy.clear.cookies").checked);
		oPrefs.setBoolPref("switchproxy.reload.tab", document.getElementById("switchproxy.reload.tab").checked);
		oPrefs.setBoolPref("switchproxy.display.statusbar", document.getElementById("switchproxy.display.statusbar").checked);
		oPrefs.setBoolPref("switchproxy.update.notify", document.getElementById("switchproxy.update.notify").checked);
		//oPrefs.setBoolPref("switchproxy.tabs.manager", document.getElementById("switchproxy.tabs.manager").checked);
		
		// Not Thunderbird
		if(navigator.userAgent.search(/Thunderbird/gi) < 0){
			oPrefs.setBoolPref("switchproxy.display.context", document.getElementById("switchproxy.display.context").checked);
			 
			if(oMain != null){
				oPrefs.setBoolPref("switchproxy.display.toolbar", document.getElementById("switchproxy.display.toolbar").checked);
			}
		}
		
		
		if(oMain != null)
			oMain.switchproxy_showMenus();
		
	}catch(err){ alert(switchproxy_getString("error.unknown") +"\n"+err); }
	
	if(oMain != null && !inMozOptions)
		oMain.focus();
		
	return true;	
}